package com.yizhi.xxl.job.executor.service.job;

import com.xxl.job.core.log.XxlJobLogger;
import com.yizhi.aliyun.application.feign.AliyunClient;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * 媒体转码
 */
@Component
public class AddMediaTranscodeJob implements BaseJob {

    @Autowired
    private AliyunClient aliyunClient;

    @Override
    public void execute() throws Exception {
        XxlJobLogger.log("-------------------------开始 处理媒体转码-----------------------------");
        aliyunClient.dealFinishedTranscoding();
        XxlJobLogger.log("-------------------------结束 处理媒体转码-----------------------------");
    }
}
