package com.yizhi.xxl.job.executor.service.job;

import com.xxl.job.core.log.XxlJobLogger;
import com.yizhi.live.application.feign.LiveReplayClient;
import com.yizhi.statistics.application.feign.StatisticsCourseClient;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class CourseHandlerJob implements BaseJob {

	@Autowired
	private StatisticsCourseClient statisticsCourseClient;
	
	@Override
	public void execute() throws Exception {
		try{
        	XxlJobLogger.log("直播初始化回放视频，开始");
        	XxlJobLogger.log("直播初始化回放视频，完毕");
        } catch(Exception e){
            XxlJobLogger.log("直播初始化回放视频，异常", e);
            throw e;
        }
	}

	public void executeParams(String data) {
		String[] params = data.split(",");
		Long companyId = null;
		Long siteId = null;
		try {
			companyId = Long.getLong(params[2]);
		}catch (Exception e) {
			XxlJobLogger.log("companyId is null", e);
		}

		try {
			siteId = Long.getLong(params[3]);
		}catch (Exception e) {
			XxlJobLogger.log("companyId is null", e);
		}
		statisticsCourseClient.AsynchronousCourse(params[0],params[1],companyId,siteId);
	}


}
