package com.yizhi.xxl.job.executor.service.job;

import com.xxl.job.core.log.XxlJobLogger;
import com.yizhi.live.application.feign.LiveReplayClient;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class LiveJob implements BaseJob {

	@Autowired
	private LiveReplayClient replayClient;
	
	@Override
	public void execute() throws Exception {
		try{
        	XxlJobLogger.log("直播初始化回放视频，开始");
        	replayClient.insertLiveReplay();
        	XxlJobLogger.log("直播初始化回放视频，完毕");
        } catch(Exception e){
            XxlJobLogger.log("直播初始化回放视频，异常", e);
            throw e;
        }
	}


}
