
package com.yizhi.xxl.job.executor.service.job;

import com.xxl.job.core.log.XxlJobLogger;
import com.yizhi.message.application.feign.remote.RemoteJobHandleClient;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * @author hutao
 * @create
 * @since 1.0.0
 */
@Component
public class SendNewMessageJob implements BaseJob {

    private SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");

    @Autowired
    private RemoteJobHandleClient remoteJobHandleClient;

    @Override
    public void execute() throws Exception {
        XxlJobLogger.log("定时任务开始执行发送消息，当前时间：" + format.format(new Date()));
        remoteJobHandleClient.sendMessageHandle();
    }

}
