package com.yizhi.xxl.job.executor.service.job;

import com.xxl.job.core.log.XxlJobLogger;
import com.yizhi.statistics.application.feign.StatisticsCourseClient;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class StatisticsCourseStudyTimeUpdateJob implements BaseJob {
    @Autowired
    private StatisticsCourseClient statisticsCourseClient;

    public void executeParam(String params) throws Exception {
        try {
            String[] strings = params.split(",");
            XxlJobLogger.log("课程学习时长指定时间段跑批自动入表任务中" + "params:    " + params
                    + "    strings[]   " + strings);
            XxlJobLogger.log("课程学习时长指定时间段跑批自动入表任务，启动");

//            statisticsCourseClient.AsynchronousCourseTraining(strings[0], strings[1]);
            statisticsCourseClient.courseOrgStudyDashboard(strings[0],strings[1]);
            XxlJobLogger.log("课程学习时长指定时间段跑批自动入表任务，完毕" + "params:    " + params
                    + "    strings[]   " + strings);
        } catch (Exception e) {
            e.printStackTrace();
            XxlJobLogger.log("课程学习时长指定时间段跑批自动入表任务，异常");
            throw e;
        }
    }
    @Override
    public void execute() throws Exception {

    }
}
