package com.yizhi.xxl.job.executor.service.job;

import com.xxl.job.core.log.XxlJobLogger;
import com.yizhi.statistics.application.feign.StatisticsCourseClient;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @ClassName: StatisticsSystemAccountMakeUpJob
 * @author: zjl
 * @date: 2020/12/24  11:36
 */
@Component
public class StatisticsSystemAccountMakeUpJob implements BaseJob{
    @Autowired
    private StatisticsCourseClient statisticsCourseClient;

    public void executeParam(String param) throws Exception {
        try {
            XxlJobLogger.log("公司下用户 手动跑批" + "公司id:   " + param);
            XxlJobLogger.log("公司下用户 手动跑批，启动");

            statisticsCourseClient.assignSiteSystemAccount(Long.valueOf(param));
            XxlJobLogger.log("公司下用户 手动跑批，完毕" + "公司id:    " + param);
        } catch (Exception e) {
            e.printStackTrace();
            XxlJobLogger.log("公司下用户 手动跑批，异常");
            throw e;
        }
    }

    @Override
    public void execute() throws Exception {

    }
}
