package com.yizhi.xxl.job.executor.service.job;

import com.xxl.job.core.log.XxlJobLogger;
import com.yizhi.training.application.feign.TrainingProjectReportClient;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class StatisticsTrainingProjectJob implements BaseJob {

	private final Logger LOG = LoggerFactory.getLogger(StatisticsTrainingProjectJob.class);
	
	@Autowired
	private TrainingProjectReportClient trainingProjectReportClient;

	@Override
	public void execute() throws Exception {
		try {
			XxlJobLogger.log("项目自动入表任务，启动");
			trainingProjectReportClient.AsynchronousCourse(null,null);
			XxlJobLogger.log("项目自动入表任务，完毕");
		} catch (Exception e) {
			e.printStackTrace();
			XxlJobLogger.log("项目自动入表任务，异常");
			throw e;
		}
	}

}
