package com.yizhi.xxl.job.executor.service.job;

import com.xxl.job.core.log.XxlJobLogger;
import com.yizhi.suyinbean.application.feign.SydPointAcctranClient;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.text.SimpleDateFormat;
import java.util.Date;

@Component
public class SydPointAcctranJob implements BaseJob  {

    private SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
    
    @Autowired
    private SydPointAcctranClient sydPointAcctranClient;
    
    @Override
    public void execute() throws Exception {
        XxlJobLogger.log("定时任务开始处理江苏银行苏银豆积分，当前时间：" + format.format(new Date()));
        try {
        	sydPointAcctranClient.AsynchronousPointAcctran(null, null, null, null);
		} catch (Exception e) {
            e.printStackTrace();
            XxlJobLogger.log("处理江苏银行苏银豆积分异常！！！", e);
            throw e;
		}
    }

}
