package com.yizhi.xxl.job.executor.service.job;

import com.xxl.job.core.log.XxlJobLogger;
import com.yizhi.sign.application.feign.ReportSignClient;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class SignInToTable implements BaseJob {

    private final Logger LOG = LoggerFactory.getLogger(SignInToTable.class);
    @Autowired
    private ReportSignClient reportSignClient;

    @Override
    public void execute() throws Exception {
        try {
            XxlJobLogger.log("签到自动入表任务，启动");
            reportSignClient.asynchronousSign("", "");
            XxlJobLogger.log("签到自动入表任务，完毕");
        } catch (Exception e) {
            e.printStackTrace();
            XxlJobLogger.log("签到自动入表任务，异常");
            throw e;
        }

    }

}
