package com.yizhi.xxl.job.executor.service.job;

import com.xxl.job.core.log.XxlJobLogger;
import com.yizhi.statistics.application.feign.StatisticsCourseClient;
import com.yizhi.statistics.application.feign.WorkClient;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class StatisticsWorkJob implements BaseJob {
    @Autowired
    private WorkClient workClient;

    public void executeParam(String params) {
        try {
            // 3给内存放可参加人数
            Integer type = Integer.valueOf(params);
            XxlJobLogger.log("StatisticsWorkJob params:" + params + "======type:" +type);
            workClient.dealSystemAndRole(type);
        } catch (Exception e) {
            e.printStackTrace();
            XxlJobLogger.log("ERROR StatisticsWorkJob",e);
        }
    }
    @Override
    public void execute() throws Exception {

    }
}
