package com.yizhi.xxl.job.executor.service.job;

import com.xxl.job.core.log.XxlJobLogger;
import com.yizhi.training.application.feign.TrainingProjectClient;
import com.yizhi.wechat.application.feign.WeiXinClient;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 *
 * @author lilingye
 * @create 2018-6-5 13:32:45
 * @since 1.0.0
 */
@Component
public class WechatJob implements BaseJob {

    @Autowired
    WeiXinClient weiXinClient;

    @Autowired
    TrainingProjectClient trainingProjectClient;
    
    @Override
    public void execute() throws Exception {
        XxlJobLogger.log("执行微信access_token和jsapiticket的新增/更新");
        weiXinClient.saveAccessTokenToRedis();
        XxlJobLogger.log("执行培训项目已学习人数的更新");
        trainingProjectClient.getJoinNumber();
    }

}
